plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
}

dependencies {
    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$kotlinx_coroutines_version"
    implementation "org.slf4j:slf4j-api:2.0.16"
    implementation(project(":core:events"))
    implementation(project(":core:artifacts"))
    implementation(project(":core:artifacts-store"))
    implementation "org.xerial:sqlite-jdbc"
    implementation "org.bouncycastle:bcprov-jdk18on:1.78.1"
    testImplementation "org.junit.jupiter:junit-jupiter"
    testImplementation "org.jetbrains.kotlinx:kotlinx-coroutines-test:$kotlinx_coroutines_version"
    testImplementation(project(":infrastructure:persistence"))
    testImplementation(testFixtures(project(":testing:contracts")))
}
